Bug 419401 - Yum not working
Summary: Yum not working
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
high
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-11 09:29 UTC by Antonio Blanco Morales
Modified: 2014-01-21 23:01 UTC (History)
4 users (show)

Fixed In Version: 0.2.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 09:41:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
report generate with software installation tool (1.42 KB, text/plain)
2007-12-11 09:29 UTC, Antonio Blanco Morales
no flags Details

Description Antonio Blanco Morales 2007-12-11 09:29:38 UTC
Description of problem:
yum not working

Version-Release number of selected component (if applicable):


How reproducible:

enter yum as root
Steps to Reproduce:
1.login as root
2.enter yum
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 163, in getOptionsConfig
    disabled_plugins=opts.disableplugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 167, in _getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 232, in
getReposFromConfig
    parser.readfp(confpp_obj)
  File "/usr/lib/python2.5/site-packages/iniparse/compat.py", line 106, in readfp
    self.data.readfp(fp)
  File "/usr/lib/python2.5/site-packages/iniparse/ini.py", line 563, in readfp
    if line and line[-1]=='\n':
UnboundLocalError: local variable 'line' referenced before assignment


Expected results:


Additional info:

Comment 1 Antonio Blanco Morales 2007-12-11 09:29:38 UTC
Created attachment 283891 [details]
report generate with software installation tool

Comment 2 Tim Lauridsen 2007-12-11 12:39:37 UTC
This is an issue with python-iniparse with empty *.repo files in
/etc/yum.repos.d, it is fixed in current release (python-iniparse-0.2.2-2).
Please update or remove the empty .repo file.



Comment 3 Antonio Blanco Morales 2007-12-12 09:14:43 UTC
Thank you very much. Solved.(In reply to comment #2)





Note You need to log in before you can comment on or make changes to this bug.